## START: Set by rpmautospec
## (rpmautospec version 0.8.2)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 5;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by go2rpm 1.14.0
%bcond check 1
%bcond bootstrap 0

%global debug_package %{nil}
%global module bigquery

%if %{with bootstrap}
%global __requires_exclude %{?__requires_exclude:%{__requires_exclude}|}^golang\\(.*\\)$
%endif

# https://github.com/GoogleCloudPlatform/google-cloud-go
%global goipath         cloud.google.com/go/%{module}
%global forgeurl        https://github.com/GoogleCloudPlatform/google-cloud-go
Version:                1.61.0
%global tag             %{module}/v%{version}
%global distprefix      %{nil}

%gometa -L -f

%global common_description %{expand:
Google Cloud Client Libraries for Go for module %{module}.}

%global golicenses      LICENSE
%global godocs          CHANGES.md CODE_OF_CONDUCT.md CONTRIBUTING.md\\\
                        README.md RELEASING.md SECURITY.md testing.md

Name:           %{goname}
Release:        %autorelease
Summary:        Google Cloud Client Libraries for Go for module %{module}

License:        Apache-2.0 AND BSD-3-Clause
URL:            %{gourl}
Source:         %{gosource}

%description %{common_description}

%gopkg

%prep
%goprep -A
%autopatch -p1
find . ! \( -name %{module} -o -name "*.md" -o -name LICENSE -o -name _build \) -maxdepth 1 -exec rm -rf {} \;
mv %{module}/* .

# avoid extra dependencies
rm -rf integration_test.go dataset_integration_test.go routine_integration_test.go \
       params_test.go oc_test.go dataset_test.go storage_bench_test.go \
       storage_integration_test.go table_integration_test.go trace_integration_test.go \
       storage/managedwriter/appendresult_test.go storage/managedwriter/connection_test.go

%if %{without bootstrap}
%generate_buildrequires
%go_generate_buildrequires
%endif

%install
%gopkginstall

%if %{without bootstrap}
%if %{with check}
%check
ln -s /usr/share/gocode/src/cloud.google.com/go/internal _build/src/cloud.google.com/go/
%ifarch i686
%gocheck -d cloud.google.com/go/bigquery/storage/managedwriter
%%else
%gocheck
%endif
%endif
%endif

%gopkgfiles

%changelog
## START: Generated by rpmautospec
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.61.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild

* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.61.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Sat Aug 03 2024 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.61.0-3
- Fixes FTBFS - Closes rhbz#2300706

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.61.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 23 2024 Robert-André Mauchin <zebob.m@gmail.com> - 1.61.0-1
- Update to 1.61.0

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.56.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.56.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Nov 20 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.56.0-2
- Disable bootstrap mode

* Mon Nov 20 2023 Mikel Olasagasti Uranga <mikel@olasagasti.info> - 1.56.0-1
- Initial package - Closes rhbz#2250108
## END: Generated by rpmautospec
